Bug 1876518 (CVE-2020-3864)

Summary: CVE-2020-3864 webkitgtk: Non-unique security origin for DOM object contexts
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: erack, mcatanza, tpopela
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: webkitgtk 2.26.4 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-29 22:02:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1877119, 1877358    
Bug Blocks: 1876477    

Description Tomas Hoger 2020-09-07 11:46:58 UTC
WebKitGTK Security Advisory WSA-2020-0002 describes the following issue:

CVE-2020-3864

Impact: A DOM object context may not have had a unique security origin. Description: A logic issue was addressed with improved validation.

Versions affected: WebKitGTK before 2.26.4 and WPE WebKit before 2.26.4.

Comment 1 Tomas Hoger 2020-09-07 11:47:04 UTC
External References:

https://webkitgtk.org/security/WSA-2020-0002.html

Comment 3 errata-xmlrpc 2020-09-29 20:46:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4035 https://access.redhat.com/errata/RHSA-2020:4035

Comment 4 Product Security DevOps Team 2020-09-29 22:02:26 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-3864

Comment 5 errata-xmlrpc 2020-11-04 01:04:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4451 https://access.redhat.com/errata/RHSA-2020:4451